package com.ss.android.ugc.aweme.music.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public final class MusicTag implements Serializable {
    @c(LIZ = "tag_color")
    public String tagColor;
    @c(LIZ = "tag_dark_color")
    public String tagColorDark;
    @c(LIZ = "tag_title")
    public String tagTitle;
    @c(LIZ = "tag_title_color")
    public String tagTitleColor;
    @c(LIZ = "tag_title_dark_color")
    public String tagTitleColorDark;

    static {
        Covode.recordClassIndex(93879);
    }

    public final String getTagColor() {
        return this.tagColor;
    }

    public final String getTagColorDark() {
        return this.tagColorDark;
    }

    public final String getTagTitle() {
        return this.tagTitle;
    }

    public final String getTagTitleColor() {
        return this.tagTitleColor;
    }

    public final String getTagTitleColorDark() {
        return this.tagTitleColorDark;
    }

    public final void setTagColor(String str) {
        this.tagColor = str;
    }

    public final void setTagColorDark(String str) {
        this.tagColorDark = str;
    }

    public final void setTagTitle(String str) {
        this.tagTitle = str;
    }

    public final void setTagTitleColor(String str) {
        this.tagTitleColor = str;
    }

    public final void setTagTitleColorDark(String str) {
        this.tagTitleColorDark = str;
    }
}
